Summary:	PNG library version 1.2.x
Summary(pl.UTF-8):	Biblioteka PNG w wersji 1.2.x
Name:		libpng12
Version:	1.2.51
Release:	1
Epoch:		2
License:	distributable
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libpng/libpng-%{version}.tar.xz
# Source0-md5:	4efba67fa5aa2b785c6fcec2cc3e90c9
Patch0:		libpng-pngminus.patch
Patch1:		libpng-opt.patch
Patch2:		libpng-norpath.patch
Patch3:		libpng-export_old.patch
Patch4:		libpng-revert.patch
Patch5:		http://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz
# Patch5-md5:	b4d7d2781c40c1b732b64387c2ede059
URL:		http://www.libpng.org/pub/png/libpng.html
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
%ifarch %{x8664} ia64 ppc64 s390x sparc64
Provides:	libpng.so.3()(64bit)
%else
Provides:	libpng.so.3
%endif
Provides:	libpng12(APNG) = 0.10
Obsoletes:	libpng < 2:1.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PNG library is a collection of routines used to create and
manipulate PNG format graphics files. The PNG format was designed as a
replacement for GIF, with many improvements and extensions.

This package provides older 1.2.x series of library.

%description -l pl.UTF-8
Biblioteki PNG są kolekcją form używanych do tworzenia i manipulowania
plikami w formacie graficznym PNG. Format ten został stworzony jako
zamiennik dla formatu GIF, z wieloma rozszerzeniami i nowościami.

Ten pakiet dostarcza bibliotekę ze starszej serii 1.2.x.

%package devel
Summary:	Header files for libpng 1.2.x
Summary(pl.UTF-8):	Pliki nagłówkowe libpng 1.2.x
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Provides:	libpng12(APNG)-devel = 0.10
Obsoletes:	libpng-devel < 2:1.4.0

%description devel
The header files are only needed for development of programs using the
PNG library version 1.2.x.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone dla
programistów używających biblioteki PNG w wersji 1.2.x.

%package static
Summary:	Static PNG library version 1.2.x
Summary(pl.UTF-8):	Biblioteka statyczna PNG w wersji 1.2.x
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libpng12(APNG)-static = 0.10
Obsoletes:	libpng-static < 2:1.4.0

%description static
Static PNG library version 1.2.x.

%description static -l pl.UTF-8
Biblioteka statyczna PNG w wersji 1.2.x.

%prep
%setup -q -c -T -n libpng-%{version}
xzcat -dc %{SOURCE0} | tar xf - -C ..
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man{3,5}} \
	$RPM_BUILD_ROOT{%{_pkgconfigdir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpng.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpng12.la

# these come from libpng (1.4.x) now
%{__rm} $RPM_BUILD_ROOT%{_bindir}/libpng-config \
	$RPM_BUILD_ROOT%{_includedir}/png*.h \
	$RPM_BUILD_ROOT%{_libdir}/libpng.{so,a} \
	$RPM_BUILD_ROOT%{_pkgconfigdir}/libpng.pc
%{__rm} -r $RPM_BUILD_ROOT%{_mandir}/man[35]

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES KNOWNBUG README LICENSE
%attr(755,root,root) %{_libdir}/libpng12.so.*.*.*
%attr(755,root,root) %{_libdir}/libpng.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpng12.so.0
# alternative soname (symlink in PLD, so must be packaged)
%attr(755,root,root) %{_libdir}/libpng.so.3

%files devel
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/libpng12-config
%attr(755,root,root) %{_libdir}/libpng12.so
%{_pkgconfigdir}/libpng12.pc
%{_includedir}/libpng12

%files static
%defattr(644,root,root,755)
%{_libdir}/libpng12.a
%changelog
* Thu May 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpng12.git;a=log;h=master

* Wed Mar 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 94d6d58
- updated to 1.2.51
- use new apng source

* Tue Sep 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 3b7d94e
- updated to 1.2.50

* Tue Apr 24 2012 Kacper Kornet <draenog@pld-linux.org> 8ed84e9
- up to 1.2.49 (fixes CVE-2011-3045, CVE-2011-3048)

* Sun Feb 19 2012 Adam Gołębiowski <adamg@pld-linux.org> 1f602be
- updated to 1.2.47

* Sun Feb 19 2012 Adam Gołębiowski <adamg@pld-linux.org> 6f9a565
- updated to 1.2.47 (solves CVE-2011-3026)

* Sat Jul 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 7c1380f
- updated to 1.2.46 (fixes CVE-2011-2501, CVE-2011-2690, CVE-2011-2692)

* Sun Mar 06 2011 Elan Ruusamäe <glen@pld-linux.org> 85e42dc
- .la cleanup

* Tue Jun 29 2010 Karol Krenski <charles@pld-linux.org> ae093f8
- updated for 1.2.44

* Tue Jun 29 2010 Karol Krenski <charles@pld-linux.org> 349a454
- up to 1.2.44
  [fixes  CVE-2010-1205]

* Wed Jun 02 2010 sparky <sparky@pld-linux.org> c3b2481
- added tar BR

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> de33f13
- add Obsoletes for old libpng packages

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ad2837
- rel 2; use am/ac for build now (so we get libpng12.so.0(PNG12_0) versioning)

* Sun Jan 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 5c5927c
- libpng 1.2.x as alternative libpng

* Sun Jan 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 44b605d
- updated to 1.2.42

* Fri Dec 04 2009 Elan Ruusamäe <glen@pld-linux.org> 3a97507
- updated apng patch from http://vdubapngmod.sourceforge.net/

* Fri Dec 04 2009 Elan Ruusamäe <glen@pld-linux.org> 15287b8
- updated from http://heanet.dl.sourceforge.net/project/vdubapngmod/libpng-apng-patch/1.2.41/libpng-1.2.41-apng.patch

* Fri Dec 04 2009 Tomasz Pala <gotar@pld-linux.org> 897be0e
- updated APNG patch, rel. 1

* Fri Dec 04 2009 Elan Ruusamäe <glen@pld-linux.org> dbb455f
- just not commenting out patch is ok too

* Fri Dec 04 2009 Elan Ruusamäe <glen@pld-linux.org> d0b5f85
- you MAY NOT flip-flop functionality and even leave bogus Provides on. add blocker for accidental stbr

* Fri Dec 04 2009 lisu <lisu@pld-linux.org> fa2b3cf
- updated for 1.2.41

